Bug 89659 - org/joone/io/XLSInputSynapse.java:165: Internal compiler error in build_java_check_indexed_type, at java/expr.c:899
Summary: org/joone/io/XLSInputSynapse.java:165: Internal compiler error in build_java_...
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc3   
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-25 16:29 UTC by Sreekumar
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-03 22:54:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sreekumar 2003-04-25 16:29:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
I got this compiler error when I tried to compile joone-engine.jar file (
www.joone.org). 

Command:
gcj  -c
--CLASSPATH=/home/sree/nn/joone/lib/log4j.jar:/home/sree/nn/joone/lib/jakarta-poi.jar:.
/home/sree/nn/joone/lib/joone-engine.jar -o joone-engine.o

Error:
org/joone/io/XLSInputSynapse.java: In class `org.joone.io.XLSInputSynapse':
org/joone/io/XLSInputSynapse.java: In method
`org.joone.io.XLSInputSynapse.getAvailableSheetList()':
org/joone/io/XLSInputSynapse.java:165: Internal compiler error in
build_java_check_indexed_type, at java/expr.c:899
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [all] Error 1


Version-Release number of selected component (if applicable):
gcj version 3.2.2

How reproducible:
Always

Steps to Reproduce:
Recompile the file using the same makefile.
    

Additional info:

Comment 1 Richard Henderson 2004-10-03 22:54:24 UTC
The problem persists through current mainline sources.  Pushed to
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17819


Note You need to log in before you can comment on or make changes to this bug.